Rem Program to find if a triangle is a Right Angled Triangle
Rem Given its three sides
def FNhypot(a,b) = sqr(a * a + b * b)
Msg1$ = "Right Angled Triangle"
Msg2$ = "Not a " + Msg1$
Print "*** TEST FOR RIGHT ANGLED TRIANGLE ***"
input "Enter the sides ", a,b,c
if c = FNhypot(a,b) then print Msg1$ : end
if b = FNhypot(a,c) then print Msg1$ : end
if a = FNhypot(b,c) then print Msg1$ : end
print Msg2$
